MDNSD(8)

NAME
mdnsd - small multicast DNS daemon

SYNOPSIS
mdnsd [-hnsv] [-i IFACE] [-l LEVEL] [-t TTL] [PATH]

DESCRIPTION
mdnsd is a small mDNS-SD daemon for UNIX like systems. It is based on an original implementation made by Jeremie Miller in 2003. Multicast DNS with service discovery (-SD) is an open standard defined in RFC5762, mDNS-SD in RFC6763, commonly known to end-users as Bonjour or Avahi, depending on the operating system.

mdnsd reads service definitions of services to announce from /etc/mdns.d/*.service, a different path may be given on the command line, which can be a directory or a single service file.

mdnsd by default runs on all multicast capable interfaces on a system. Use -i IFACE to only run on a single interface.

OPTIONS
This program follows the usual UNIX command line syntax. The options are as follows:

-h  Print a help message and exit.

-i IFACE
    Interface to announce services on. By default mdnsd runs on all interfaces.

    Only available on Linux.

-l LEVEL
    Set log level: none, err, notice (default), info, debug.

-n  Run in foreground, do not detach from controlling terminal.

-s  Use syslog even if running in foreground.

-t TTL
    Set TTL of mDNS packets, default: 1 (link-local only).

-v  Show program version.

FILES
/etc/mdns.d/*.service
    mDNS-SD services to announce.

SEE ALSO
mquery(1), mdnsd.service(5), mdns-scan(1)

AUTHORS
This mDNS-SD implementation was created in 2003 by Jeremie Miller <jer@jabber.org>. Much later, in 2016, it was adopted by Joachim Wiberg <troglobit@gmail.com> for further development and maintenance at GitHub: <https://github.com/troglobit/mdnsd>.